Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`words`.`im`.`interfaces`.`IChatUI``

interface documentation

`class IChatUI(Interface): (source)`

View In Hierarchy

Undocumented

Method | `contactChangedNick` | For the given person, changes the person's name to newnick, and tells the contact list and any conversation windows with that person to change as well.
Method | `getContactsList` | No summary
Method | `getConversation` | For the given person object, returns the conversation window or creates and returns a new conversation window if one does not exist.
Method | `getGroup` | Get a Group for a client.
Method | `getGroupConversation` | For the given group object, returns the group conversation window or creates and returns a new group conversation window if it doesn't exist.
Method | `getPerson` | Get a Person for a client.
Method | `registerAccountClient` | Notifies user that an account has been signed on to.
Method | `unregisterAccountClient` | Notifies user that an account has been signed off or disconnected.

def contactChangedNick(oldnick, newnick): (source)

For the given person, changes the person's name to newnick, and tells the contact list and any conversation windows with that person to change as well.

Parameters
oldnick:string | Undocumented
newnick:string | Undocumented

def getContactsList(): (source)

Returns
`ContactsList` | Undocumented

def getConversation(person, Class, stayHidden=0): (source)

For the given person object, returns the conversation window or creates and returns a new conversation window if one does not exist.

Parameters
person:`Person` | Undocumented
Class:`Conversation` class | Undocumented
stayHidden:boolean | Undocumented
Returns
`Conversation` | Undocumented

def getGroup(name, client): (source)

Get a Group for a client.

Duplicates `IAccount.getGroup`.

Parameters
name:string | Undocumented
client:`Client` | Undocumented
Returns
`Group` | Undocumented

def getGroupConversation(group, Class, stayHidden=0): (source)

For the given group object, returns the group conversation window or creates and returns a new group conversation window if it doesn't exist.

Parameters
group:`Group` | Undocumented
Class:`Conversation` class | Undocumented
stayHidden:boolean | Undocumented
Returns
`GroupConversation` | Undocumented

def getPerson(name, client): (source)

Get a Person for a client.

Duplicates `IAccount.getPerson`.

Parameters
name:string | Undocumented
client:`Client` | Undocumented
Returns
`Person` | Undocumented

def registerAccountClient(client): (source)

Notifies user that an account has been signed on to.

Parameters
client:`Client` | Undocumented

def unregisterAccountClient(client): (source)

Notifies user that an account has been signed off or disconnected.

Parameters
client:`Client` | Undocumented